summaryrefslogtreecommitdiff
path: root/src/auditor
diff options
context:
space:
mode:
Diffstat (limited to 'src/auditor')
-rw-r--r--src/auditor/taler-auditor.c8
-rw-r--r--src/auditor/test-auditor.conf12
-rwxr-xr-xsrc/auditor/test-auditor.sh14
3 files changed, 30 insertions, 4 deletions
diff --git a/src/auditor/taler-auditor.c b/src/auditor/taler-auditor.c
index 033b7a543..dbc337948 100644
--- a/src/auditor/taler-auditor.c
+++ b/src/auditor/taler-auditor.c
@@ -4846,14 +4846,14 @@ run (void *cls,
return;
}
(void) adb->list_exchanges (adb->cls,
- as,
- &test_master_present,
- &found);
+ as,
+ &test_master_present,
+ &found);
if (GNUNET_NO == found)
{
fprintf (stderr,
"Exchange's master public key `%s' not known to auditor DB. Did you forget to run `taler-auditor-exchange`?\n",
- TALER_B2S (&master_pub));
+ GNUNET_p2s (&master_pub.eddsa_pub));
global_ret = 1;
TALER_AUDITORDB_plugin_unload (adb);
TALER_EXCHANGEDB_plugin_unload (edb);
diff --git a/src/auditor/test-auditor.conf b/src/auditor/test-auditor.conf
new file mode 100644
index 000000000..4deb81400
--- /dev/null
+++ b/src/auditor/test-auditor.conf
@@ -0,0 +1,12 @@
+[auditor]
+DB = postgres
+
+[auditordb-postgres]
+CONFIG = postgres:///taler-auditor-test
+
+[exchangedb-postgres]
+CONFIG = postgres:///taler-auditor-test
+
+[taler]
+CURRENCY = TESTKUDOS
+
diff --git a/src/auditor/test-auditor.sh b/src/auditor/test-auditor.sh
new file mode 100755
index 000000000..a493683ea
--- /dev/null
+++ b/src/auditor/test-auditor.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -eu
+DB=taler-auditor-test
+dropdb $DB || true
+createdb -T template0 $DB || exit 77
+psql $DB < ../benchmark/auditor-basedb.sql
+MASTER_PUB=`cat ../benchmark/auditor-basedb.mpub`
+
+taler-auditor -c test-auditor.conf -m $MASTER_PUB > test-audit.json
+
+# TODO: check test-audit.json matches expectations
+
+dropdb $DB
+